## visad.util
Class ColorChangeEvent

    java.lang.Object
      java.util.EventObject
          visad.util.ColorChangeEvent

All Implemented Interfaces:
  Serializable

public class ColorChangeEvent
extends EventObject
implements Serializable

An event to be dispatched when the color widget has been changed

Since:
  Visad Utility Library, 0.5
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ColorChangeEvent(Object source, float start, float end)` Construct a colorChangeEvent object to notify any ColorChangeListeners

Method Summary
`float` `getEnd()` Get the end of the modified region of the map
`float` `getStart()` Get the start of the modified region of the map
`String` `toString()` Return a string representation of this object

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ColorChangeEvent

    public ColorChangeEvent(Object source,
                            float start,
                            float end)

  Construct a colorChangeEvent object to notify any ColorChangeListeners

Parameters:
  `source` - the map that generated the event
  `start` - the start of the region of the map that has been modified
  `end` - the end of the region of the map that has been modified

Method Detail

### getStart

    public float getStart()

  Get the start of the modified region of the map

### getEnd

    public float getEnd()

  Get the end of the modified region of the map

### toString

    public String toString()

  Return a string representation of this object